# Delete

Providing the Virtual Cluster name in addition to the Virtual Cluster ID is redundant, but we require it as a form of confirmation that the correct cluster is being deleted.

{% hint style="danger" %}
This operation is irreversible and will cause all topics and data in the deleted Virtual Cluster to be lost.
{% endhint %}

## Request

{% code overflow="wrap" %}

```bash
curl https://api.warpstream.com/api/v1/delete_virtual_cluster \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "XXXXXXXXXX", "virtual_cluster_name": "XXXXXXXXXX"}'
```

{% endcode %}

## Response

{% code overflow="wrap" %}

```json
{}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/virtual-clusters/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
